Skip to main content
POST
/
data
/
projects
/
{id}
/
datasets
/
versions
Create dataset version
curl --request POST \
  --url https://acusight.io/api/data/projects/{id}/datasets/versions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "config": {
    "augmentation": [
      {
        "config": [
          123
        ],
        "id": "<string>"
      }
    ],
    "augmentation_multiplier": 123,
    "augmentation_seed": 123,
    "config_version": 123,
    "metadata": {},
    "preprocessing": [
      {
        "config": [
          123
        ],
        "id": "<string>"
      }
    ]
  },
  "limit": 123
}
'
{
  "data": {
    "created_at": "<string>",
    "job_id": "<string>",
    "message": "<string>",
    "status": "<string>"
  },
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Path Parameters

id
integer
required

Project ID

Body

application/json

Dataset version payload

name
string
required
config
object
limit
integer

Response

Version creation job queued

data
object
error
object
meta
object
success
boolean